> ## Documentation Index
> Fetch the complete documentation index at: https://docs.persistence.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contact list

> Retrieve a contact list and the status of its most recent upload.



## OpenAPI

````yaml api-reference/campaign-audience/openapi.json GET /v1/calls/contact-lists/{id}
openapi: 3.0.3
info:
  title: Persistence Campaign Audience API
  version: '1.0'
  description: Manage the contact lists that define who a campaign calls.
servers:
  - url: https://api.persistence.dev
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Campaign audience
    description: Contact list management and CSV upload.
paths:
  /v1/calls/contact-lists/{id}:
    get:
      tags:
        - Campaign audience
      summary: Get contact list by ID
      description: >-
        Retrieve a contact list, including its entry count and the status of its
        most recent upload.
      operationId: getContactList
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Contact list ID
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactList'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ContactList:
      type: object
      properties:
        createdAt:
          type: string
        id:
          type: string
        name:
          type: string
        status:
          $ref: '#/components/schemas/ContactListStatus'
        totalEntries:
          type: integer
        type:
          $ref: '#/components/schemas/ContactListType'
        updatedAt:
          type: string
        uploadDetails:
          $ref: '#/components/schemas/Upload'
    Error:
      type: object
      properties:
        code:
          type: string
        error:
          type: string
    ContactListStatus:
      type: string
      enum:
        - ready
        - draft
        - archived
      x-enum-varnames:
        - ContactListStatusReady
        - ContactListStatusDraft
        - ContactListStatusArchived
    ContactListType:
      type: string
      enum:
        - contacts
        - dnd
        - batch
      x-enum-varnames:
        - ContactListTypeContacts
        - ContactListTypeDND
        - ContactListTypeBatch
    Upload:
      type: object
      properties:
        errorReportS3Key:
          type: string
        errorReportUrl:
          type: string
        errors:
          type: array
          items:
            type: integer
        id:
          type: string
        metadata:
          $ref: '#/components/schemas/UploadMetadata'
        processedAt:
          type: string
        s3Key:
          type: string
        status:
          $ref: '#/components/schemas/UploadStatus'
        uploadedAt:
          type: string
        validatedAt:
          type: string
    UploadMetadata:
      type: object
      properties:
        duplicateRows:
          type: integer
        importedRows:
          type: integer
        invalidRows:
          type: integer
        totalRows:
          type: integer
        validRows:
          type: integer
    UploadStatus:
      type: string
      enum:
        - uploaded
        - validating
        - validation_failed
        - validated
        - processing
        - processed
        - failed
      x-enum-varnames:
        - UploadStatusUploaded
        - UploadStatusValidating
        - UploadStatusValidationFailed
        - UploadStatusValidated
        - UploadStatusProcessing
        - UploadStatusProcessed
        - UploadStatusFailed
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key issued for your workspace.

````